#!/usr/bin/env bash

set -euo pipefail

EMERALD_SCRIPT_DIR=$(dirname "$(realpath "$0")")
GCC_VER=$(grep -m1 '^GCC_VER=' "$EMERALD_SCRIPT_DIR"/emerald-gcc.sh | cut -d= -f2)
source "$EMERALD_SCRIPT_DIR"/common.sh
AR=$PREFIX/$TARGET/bin/ar

cd "$PREFIX"

# Fix rust builds
(
	cd lib/gcc/"$TARGET"/"$GCC_VER"/
	LIBGCC_FILENAME=libgcc_$(base64 <<< $RANDOM$RANDOM | sed 's|=||g').a
	mv libgcc.a "$LIBGCC_FILENAME"
	$AR crsT libgcc.a "$LIBGCC_FILENAME" libgcc_eh.a
)

# Install helper scripts
install -Dm755 -t bin "$EMERALD_SCRIPT_DIR"/bin/*
